--- /dev/null
+### Please describe the problem.
+
+A very basic operation is stuck (isn't there a unit-test?)
+
+### What steps will reproduce the problem?
+
+[[!format sh """
+#!/bin/bash
+
+export PS4='> '
+set -x
+set -eu
+cd "$(mktemp -d ${TMPDIR:-/tmp}/dl-XXXXXXX)"
+
+(
+mkdir src
+cd src
+git init
+git annex init
+
+
+touch 123
+git add 123
+git commit -m 123 123
+)
+
+#git clone --shared src dest
+git clone src dest
+
+(
+cd dest
+#git annex init
+# would stall unless we git annex init above with 8.20200810+git5-gb41f77445-1~ndall+1
+git annex get 123
+)
+
+ls -lLi {dest,src}/123
+"""]]
+
+### What version of git-annex are you using? On what operating system?
+
+8.20200810+git47-g27329f0bb-1~ndall+1
+
+### Please provide any additional information below.
+
+[[!format sh """
+$> bash check-annex-hardlink.sh
+> set -eu
+>> mktemp -d /home/yoh/.tmp/dl-XXXXXXX
+> cd /home/yoh/.tmp/dl-sgm3azv
+> mkdir src
+> cd src
+> git init
+Initialized empty Git repository in /home/yoh/.tmp/dl-sgm3azv/src/.git/
+> git annex init
+init (scanning for unlocked files...)
+ok
+(recording state in git...)
+> touch 123
+> git add 123
+> git commit -m 123 123
+[master (root-commit) 8e97f2f] 123
+ 1 file changed, 0 insertions(+), 0 deletions(-)
+ create mode 100644 123
+> git clone src dest
+Cloning into 'dest'...
+done.
+> cd dest
+> git annex get 123
+(merging origin/git-annex into git-annex...)
+(scanning for unlocked files...)
+^C
+"""]]
+
+[[!meta author=yoh]]
+[[!tag projects/datalad]]